Subject: Re: git-am changes author if its short

From: Đoàn Trần Công Danh <[email-masked]>
Date: Thu, 8 Jul 2021 00:04:51 +0700

On 2021-07-07 18:46:53+0200, Professor Bloodstone <[email-masked]> wrote:
> When applying a patch using git am test.patch, if author consists of 1
> or 2 letters, then it is being replaced with author email instead.
> 
> For example take patch with such line:
> 
> From: AA <[email-masked]>
> 
> Upon applying such patch, the author is replaced with email:
> 
> Author: [email-masked] <[email-masked]>
> 
> I did try multiple different 1 or 2 letter names, they all seem to
> have the same issue. 3 letter names work fine. This was tested by 3
> people in our project, and happens in very different setups.
> 
> I'm having a hard time finding the exact cause of it. Tried searching
> for issues, but didn't find anything. Maybe someone has an idea what
> could it be caused by?

A patch for this problem has been merged [1]. Git 2.32.0 should have
this problem fixed.

1: https://lore.kernel.org/git/[email-masked]/

-- 
Danh